org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PatternImport

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternImportImpl

      public interface PatternImport
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Pattern Import'.

  The following features are supported:

  - `Pattern`
  - `Package Name`
  - `Patterns`
  See Also:
    `PatternLanguagePackage.getPatternImport()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPackageName()` Returns the value of the 'Package Name' attribute.
    `Pattern` | `getPattern()` Returns the value of the 'Pattern' reference.
    `org.eclipse.emf.common.util.EList<Pattern>` | `getPatterns()` Returns the value of the 'Patterns' containment reference list.
    `void` | `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute.
    `void` | `setPattern(Pattern value)` Sets the value of the '`Pattern`' reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPattern

          Pattern getPattern()

      Returns the value of the 'Pattern' reference.

      If the meaning of the 'Pattern' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pattern' reference.
      See Also:
        `setPattern(Pattern)`, `PatternLanguagePackage.getPatternImport_Pattern()`
      Generated:
      Model:

    - #### setPattern

          void setPattern(Pattern value)

      Sets the value of the '`Pattern`' reference.
      Parameters:
        `value` - the new value of the 'Pattern' reference.
      See Also:
        `getPattern()`
      Generated:

    - #### getPackageName

          java.lang.String getPackageName()

      Returns the value of the 'Package Name' attribute.

      If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Package Name' attribute.
      See Also:
        `setPackageName(String)`, `PatternLanguagePackage.getPatternImport_PackageName()`
      Generated:
      Model:

    - #### setPackageName

          void setPackageName(java.lang.String value)

      Sets the value of the '`Package Name`' attribute.
      Parameters:
        `value` - the new value of the 'Package Name' attribute.
      See Also:
        `getPackageName()`
      Generated:

    - #### getPatterns

          org.eclipse.emf.common.util.EList<Pattern> getPatterns()

      Returns the value of the 'Patterns' containment reference list. The list contents are of type `Pattern`.

      If the meaning of the 'Patterns' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Patterns' containment reference list.
      See Also:
        `PatternLanguagePackage.getPatternImport_Patterns()`
      Generated:
      Model:
        containment="true"

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"